Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class TabellenCursor

    java.lang.Object
      TabellenCursor

    public class TabellenCursor

extends java.lang.Object

Der Tabellen-Cursor ist das Objekt, das der Benutzer über die Tabelle bewegt

Field Summary
`protected Position` | `altPosition`
`protected Position` | `MarkierObenLinks`
`protected Position` | `MarkierUntenRechts`
`protected boolean` | `MoveMode`
`protected Position` | `neuPosition`
`protected AnzeigeTabelle` | `T`

Method Summary
`void` | `aktualisiereZellEditor()` informiert den Zellen-Editor über die neue ausgewählte Zelle
`protected void` | `bewege(boolean shiftPressed)` bewegt den Zell-Cursor über die Tabelle
`void` | `getMarkierung(Position ObenLinks, Position UntenRechts)` liefert den markierten Bereich
`void` | `getPosition(Position P)` meldet die Position des Cursors an das übergebene Positionsobjekt
`void` | `links(boolean shiftPressed)` Bewegung nach links
`void` | `oben(boolean shiftPressed)` Bewegung nach oben
`void` | `rechts(boolean shiftPressed)` Bewegung nach rechts
`void` | `resetMarkierung()` setzt die Markierung von Zellenblöcken zurück
`void` | `setPosition(Position p)` setzt den Cursor auf die angegebene Position
`void` | `setToZelle(AnzeigeZelle c)` setzt den Cursor auf die Zelle, deren Referenz direkt übergeben wurde
`void` | `unten(boolean shiftPressed)` Bewegung nach unten
`protected void` | `zeigeAdresse()` zeige die momentane Position in der Tabelle im Hauptfenster an

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MoveMode

    protected boolean MoveMode

### T

    protected AnzeigeTabelle T

### altPosition

    protected Position altPosition

### neuPosition

    protected Position neuPosition

### MarkierObenLinks

    protected Position MarkierObenLinks

### MarkierUntenRechts

    protected Position MarkierUntenRechts

Method Detail

### bewege

    protected void bewege(boolean shiftPressed)

  bewegt den Zell-Cursor über die Tabelle

### aktualisiereZellEditor

    public void aktualisiereZellEditor()

  informiert den Zellen-Editor über die neue ausgewählte Zelle

### resetMarkierung

    public void resetMarkierung()

  setzt die Markierung von Zellenblöcken zurück

### links

    public void links(boolean shiftPressed)

  Bewegung nach links

### rechts

    public void rechts(boolean shiftPressed)

  Bewegung nach rechts

### oben

    public void oben(boolean shiftPressed)

  Bewegung nach oben

### unten

    public void unten(boolean shiftPressed)

  Bewegung nach unten

### setToZelle

    public void setToZelle(AnzeigeZelle c)

  setzt den Cursor auf die Zelle, deren Referenz direkt übergeben wurde

### getPosition

    public void getPosition(Position P)

  meldet die Position des Cursors an das übergebene Positionsobjekt

### setPosition

    public void setPosition(Position p)

  setzt den Cursor auf die angegebene Position

### getMarkierung

    public void getMarkierung(Position ObenLinks,
                              Position UntenRechts)

  liefert den markierten Bereich

### zeigeAdresse

    protected void zeigeAdresse()

  zeige die momentane Position in der Tabelle im Hauptfenster an

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD